/* Generated by dbus-binding-tool; do not edit! */

#include <glib.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

#ifndef _DBUS_GLIB_ASYNC_DATA_FREE
#define _DBUS_GLIB_ASYNC_DATA_FREE
static
#ifdef G_HAVE_INLINE
inline
#endif
void
_dbus_glib_async_data_free (gpointer stuff)
{
	g_slice_free (DBusGAsyncData, stuff);
}
#endif

#ifndef DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Device_Vibrator
#define DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Device_Vibrator

static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Device_Vibrator_vibrate_pattern (DBusGProxy *proxy, const gint IN_pulses, const gint IN_on_duration, const gint IN_off_duration, const gint IN_strength, GError **error)

{
  return dbus_g_proxy_call (proxy, "VibratePattern", error, G_TYPE_INT, IN_pulses, G_TYPE_INT, IN_on_duration, G_TYPE_INT, IN_off_duration, G_TYPE_INT, IN_strength, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Device_Vibrator_vibrate_pattern_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_Device_Vibrator_vibrate_pattern_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_Device_Vibrator_vibrate_pattern_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Device_Vibrator_vibrate_pattern_async (DBusGProxy *proxy, const gint IN_pulses, const gint IN_on_duration, const gint IN_off_duration, const gint IN_strength, org_freesmartphone_Device_Vibrator_vibrate_pattern_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "VibratePattern", org_freesmartphone_Device_Vibrator_vibrate_pattern_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INT, IN_pulses, G_TYPE_INT, IN_on_duration, G_TYPE_INT, IN_off_duration, G_TYPE_INT, IN_strength, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Device_Vibrator_vibrate (DBusGProxy *proxy, const gint IN_duration, const gint IN_strength, GError **error)

{
  return dbus_g_proxy_call (proxy, "Vibrate", error, G_TYPE_INT, IN_duration, G_TYPE_INT, IN_strength, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Device_Vibrator_vibrate_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_Device_Vibrator_vibrate_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_Device_Vibrator_vibrate_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Device_Vibrator_vibrate_async (DBusGProxy *proxy, const gint IN_duration, const gint IN_strength, org_freesmartphone_Device_Vibrator_vibrate_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "Vibrate", org_freesmartphone_Device_Vibrator_vibrate_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INT, IN_duration, G_TYPE_INT, IN_strength, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Device_Vibrator_stop (DBusGProxy *proxy, GError **error)

{
  return dbus_g_proxy_call (proxy, "Stop", error, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Device_Vibrator_stop_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_Device_Vibrator_stop_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_Device_Vibrator_stop_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Device_Vibrator_stop_async (DBusGProxy *proxy, org_freesmartphone_Device_Vibrator_stop_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "Stop", org_freesmartphone_Device_Vibrator_stop_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
#endif /* defined DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Device_Vibrator */

G_END_DECLS
